Fix deprecated pango code always being used in glfont.cpp 78/head
authorZack Middleton <zack@cloemail.com>
Sat, 4 Nov 2017 01:00:50 +0000 (20:00 -0500)
committerZack Middleton <zack@cloemail.com>
Sat, 4 Nov 2017 01:25:48 +0000 (20:25 -0500)
commit82a641d8a79eb775d98ebcec1ba6aec77875d595
treeeb84b01476bf69aa4f91996b7153a626855aa405
parentd5acb1679c0df56c71f5ee7edfb84f6a32fb1120
Fix deprecated pango code always being used in glfont.cpp

The version check to see if the non-deprecated API is available,
PANGO_VERSION_CHECK(1,22,0), always returns false if pango-features.h
isn't included. This is because PANGO_VERSION_MAJOR, _MINOR, _MICRO
are not defined and are evaluated as 0 in the preprocessor code.

This commit fixes compiling on Debian 8 using libpango1.0-dev 1.36.8.
It was failing because deprecated function pango_ft2_get_context()
was not available (hidden in header file by PANGO_DISABLE_DEPRECATED).
libs/gtkutil/glfont.cpp